Bug 96921 - ODF: missing implementer notes for calcext:value
Summary: ODF: missing implementer notes for calcext:value
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: odf
Keywords:
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2016-01-06 12:06 UTC by Thorsten Behrens (allotropia)
Modified: 2022-09-13 03:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thorsten Behrens (allotropia) 2016-01-06 12:06:14 UTC
Looks like https://wiki.documentfoundation.org/Development/ODF_Implementer_Notes#LibreOffice_ODF_extensions has no mention yet of the calcext:value extension - any chance to add a few lines?
Comment 1 Thorsten Behrens (allotropia) 2016-01-06 12:08:52 UTC
This came in via http://cgit.freedesktop.org/libreoffice/core/commit/?id=a8b7c72425aabae87bfd2e141aa06f06319ae11c
Comment 2 QA Administrators 2017-03-06 14:02:36 UTC Comment hidden (obsolete)
Comment 3 Cédric Krier 2017-03-06 14:30:16 UTC
The extension is still missing on the wiki page.
Comment 4 Regina Henschel 2018-01-09 01:48:49 UTC
ODF TC has a related issue https://issues.oasis-open.org/browse/OFFICE-3759, which contains another use case.
The mentioned commit belongs to bug 51810.
Comment 5 QA Administrators 2019-10-13 02:34:10 UTC Comment hidden (obsolete)
Comment 6 Thorsten Behrens (allotropia) 2019-10-13 19:16:55 UTC
Cc Moggi - implementer notes still missing, haven't seen this addressed at OASIS either.
Comment 7 Markus Mohrhard 2019-10-14 17:12:33 UTC
I assume this is about calcext:value-type and not calcext:value. In that case Regina's comment is correct and we have added that flag to differentiate between string results and error results. Without this feature it is not possible to correctly show a loaded spreadsheet without recomputation.

This is also correctly mentioned at https://wiki.documentfoundation.org/Development/ODF_Implementer_Notes/List_of_LibreOffice_ODF_Extensions (note the "calcext:value-type="error"" entry.
Comment 8 Regina Henschel 2020-09-12 17:57:55 UTC
@Thorsten: Is this solved for you?
Comment 9 QA Administrators 2022-09-13 03:33:37 UTC
Dear Thorsten Behrens (CIB),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug